[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TLVEditedEvent

Specifies an event handler signalled when an edit action is completed for an item on a list view control.

## Declaration

Source position: comctrls.pp line 1318

`type TLVEditedEvent = procedure(`
`Sender: TObject;`
`Item: TListItem;`
`var AValue: string`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification. It must be cast to the TCustomListView type to access properties or methods specific to the list view control.
`Item` |  | TListItem for the event notification.
`AValue` |  | The new value from the editor for the list item. Can be modified in the handler routine. Ultimately, it is assigned to the Caption for the list item.

## Description

TLVEditedEvent is the type used to implement the OnEdited event handler in TCustomListView.

## See also

TCustomListView.OnEdited |  | Event handler signalled prior to updating a list item caption when it has been edited in the control.
TListItem.Caption |  | Caption - the name given to this item on the list.